language: php

sudo: false

services:
  - mysql

addons:
  chrome: stable
  hosts:
    - mariadb
    - selenium_hub

php:
  - '7.2'
  - '7.3'

matrix:
  fast_finish: true

env:
  - COMPOSER_FLAGS="--prefer-lowest"
  - SYMFONY_VERSION="^3.4"
  - COMPOSER_FLAGS=""

before_install:
  - composer self-update
  - if [ "$SYMFONY_VERSION" != "" ]; then composer require --dev --no-update symfony/symfony:"$SYMFONY_VERSION"; fi;

install:
  - composer update --no-interaction --prefer-dist $COMPOSER_FLAGS

script:
  - vendor/bin/bundle-test

notifications:
  email:
    - info@endroid.nl
